Subject: Re: [MMUSIC] Review of draft-ietf-mmusic-sdp-bundle-negotiation-32 - MID transmission

From: Christer Holmberg <[email-masked]>
Date: Sun, 18 Sep 2016 21:21:33 +0000

Hi,

>## MID transmission
>
>Saying that the MID might might not ever be in the RTP will result in failures. I think we should say that MID MUST be sent in the RTP (does not need to be in every RTP >packet, but some  more on which ones later). 

So, you want to change SHOULD to MUST in section 14?

>Figuring out when to send MID and when not to is not easy and we need the sender and receiver to have common assumptions. I think we will have much better >interoperability if we specify something for this even at the SHOULD level. I’m proposing something along the lines of
>
>1. at start of session or change of SSRC, MUST send at least 5 times 2. if it has not been sent in last second, MUST send in next RTP packet 
>
>(this is phrased this way so that if device is not sending any RPT for 5 seconds there is no need to send a RTP packet just for this)

First, in general I agree that we should not rely on the sender and receiver having common assumptions.

However, e.g., if the bundle group only contains one RTP m- line to begin with, there is really no need to send MID, is there?

Second, the draft explicitly says that it does not specify the exact number of RTP packets containing the MID, as it depends on a number of issues (examples listed in the text).

Regards,

Christer